Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.dialogs
Class ProgressIndicator

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.jface.dialogs.ProgressIndicator

All Implemented Interfaces:
  Drawable

public class ProgressIndicator
extends Composite

A control for showing progress feedback for a long running operation. This control supports both determinate and indeterminate SWT progress bars. For indeterminate progress, we don't have to know the total amount of work in advance and no `worked` method needs to be called.

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`ProgressIndicator(Composite parent)` Create a ProgressIndicator as a child under the given parent.

Method Summary
`void` | `beginAnimatedTask()` Initialize the progress bar to be animated.
`void` | `beginTask(int max)` Initialize the progress bar.
`void` | `done()` Progress is done.
`void` | `sendRemainingWork()` Moves the progress indicator to the end.
`void` | `worked(double work)` Moves the progress indicator by the given amount of work units

Methods inherited from class org.eclipse.swt.widgets.Composite
`checkSubclass, computeSize, getChildren, getLayout, getTabList, layout, layout, setFocus, setLayout, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProgressIndicator

    public ProgressIndicator(Composite parent)

  Create a ProgressIndicator as a child under the given parent.

Parameters:
  `parent` - The widgets parent

Method Detail

### beginAnimatedTask

    public void beginAnimatedTask()

  Initialize the progress bar to be animated.

### beginTask

    public void beginTask(int max)

  Initialize the progress bar.

  Parameters:
    `max` - The maximum value.

### done

    public void done()

  Progress is done.

### sendRemainingWork

    public void sendRemainingWork()

  Moves the progress indicator to the end.

### worked

    public void worked(double work)

  Moves the progress indicator by the given amount of work units

  Parameters:
    `work` - the amount of work to increment by.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.